# Mage2 Module AgSoftware PayU

    ``agsoftware/module-payu``

 - [Main Functionalities](#markdown-header-main-functionalities)
 - [Installation](#markdown-header-installation)
 - [Configuration](#markdown-header-configuration)
 - [Specifications](#markdown-header-specifications)
 - [Attributes](#markdown-header-attributes)


## Main Functionalities
here

## Installation
\* = in production please use the `--keep-generated` option

### Type 1: Zip file

 - Unzip the zip file in `app/code/AgSoftware`
 - Enable the module by running `php bin/magento module:enable AgSoftware_PayU`
 - Apply database updates by running `php bin/magento setup:upgrade`\*
 - Flush the cache by running `php bin/magento cache:flush`

### Type 2: Composer

 - Make the module available in a composer repository for example:
    - private repository `repo.magento.com`
    - public repository `packagist.org`
    - public github repository as vcs
 - Add the composer repository to the configuration by running `composer config repositories.repo.magento.com composer https://repo.magento.com/`
 - Install the module composer by running `composer require agsoftware/module-payu`
 - enable the module by running `php bin/magento module:enable AgSoftware_PayU`
 - apply database updates by running `php bin/magento setup:upgrade`\*
 - Flush the cache by running `php bin/magento cache:flush`


## Configuration

 - PayU - payment/payu/*


## Specifications

 - Payment Method
	- PayU

 - Plugin
	- afterExecute - Magento\Checkout\Controller\Onepage\Success > AgSoftware\PayU\Plugin\Magento\Checkout\Controller\Onepage\Success


## Attributes



